/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package test.runtime;

import java.io.Serializable;

/**
 * @author Shen Li
 */
public abstract class BarImpl implements Bar, Serializable {
    private String barState;

    public String bar() {
        return "BarImpl.bar()";
    }

    public String getBarState() {
        return barState;
    }

    public void setBarState(String barState) {
        this.barState = barState;
    }
}
